## gthumb 3.8.0

=== meson_options.txt ===
option('run-in-place', 
  type : 'boolean', 
  value : false, 
  description : 'Load extensions and other resources from the source tree'
)

option('exiv2', 
  type : 'boolean', 
  value : true, 
  description : 'Use exiv2 to read and write metadata'
)

option('clutter', 
  type : 'boolean', 
  value : true, 
  description : 'Use clutter to make animated slideshows'
)

option('gstreamer', 
  type : 'boolean', 
  value : true, 
  description : 'Use gstreamer to play multimedia files and to view the metadata'
)

option('libchamplain', 
  type : 'boolean', 
  value : false, 
  description : 'Use libchamplain to show the position the image refers to'
)

option('lcms2', 
  type : 'boolean', 
  value : true, 
  description : 'Use lcms2 to get color management support'
)

option('colord', 
  type : 'boolean', 
  value : true, 
  description : 'Use colord to read the monitor color profile'
)

option('libtiff', 
  type : 'boolean', 
  value : true, 
  description : 'Use libtiff to load Tiff images'
)

option('libwebp', 
  type : 'boolean', 
  value : true, 
  description : 'Use libwebp to load WebP images'
)

option('libraw', 
  type : 'boolean', 
  value : true, 
  description : 'Use libraw to load RAW images'
)

option('librsvg', 
  type : 'boolean', 
  value : true, 
  description : 'Use librsvg to load SVG images'
)

option('libsecret', 
  type : 'boolean', 
  value : true, 
  description : 'Use libsecret to save web service account data'
)

option('webservices', 
  type : 'boolean', 
  value : true, 
  description : 'Compile extensions that import/export images from web services'
)

option('libbrasero', 
  type : 'boolean', 
  value : true, 
  description : 'Use libbrasero to save images and metadata to discs'
)

## gthumb 2.10.8-0ubuntu1netbook0natick3

=== debian/changelog ===
gthumb (3:2.10.8-0ubuntu1netbook0natick3) hardy; urgency=low

  * doc/es/figures/main-win.png: updated
  * doc/es/figures/preferences.png: updated
  * doc/pt_BR/figures/main-win.png: updated
  * doc/pt_BR/figures/preferences.png: updated
  * es_MX.po: deleted
  * es.po: updated
  * LINGUAS: modified

 -- Tony Guo <tony.guo@intel.com>  Wed, 15 Apr 2009 01:43:07 +0000

gthumb (3:2.10.8-0ubuntu1netbook0natick2) hardy; urgency=low

  * po/es.po updated
  * po/pt_BR.po updated
  * LINGUAS modified
  * gthumb_search.glade modified
  * gthumb_comments.glade modified
  * gthumb_camera.glade modified
  * gthumb_tools.glade modified
  * gthumb_crop.glade modified
  * gthumb_edit.glade modified
  * gthumb_redeye.glade modified
  * gthumb_convert.glade modified
  * gthumb_png_exporter.glade modified
  * gthumb_web_exporter.glade modified
  * gth-folder-selection-dialog.c modified
  * gth-browser-actions-entires.h modified
  * gth-window-actions-entires.h modifieid
  * es user manual added
  * pt_BR user mannul updated

 -- Tony Guo <tony.guo@intel.com>  Fri, 06 Mar 2009 07:27:33 +0000

gthumb (3:2.10.8-0ubuntu1netbook0natick1) hardy; urgency=low

  * 

 -- root <root@jason-laptop.192.168.100.254>  Thu, 26 Feb 2009 05:55:56 +0000

gthumb (3:2.10.8-0ubuntu1) hardy-proposed; urgency=low

  * New upstream bugfix release:
    - If the directory doesn't exists go to the closest existing parent.
      Fixes bug #495575 – infinite loop when browsing deleted dirs
    - Fixed bug #Bug 498741 – gthumb always saves thumbnails despite the
      gconf option in apps -> gthumb -> browser -> save_thumbnails set
      to "false"
    - Fixed bug #500719 – segfault when canceling batch operations
    - Fixed bug #486886: Crash opening an image with no Exif IFD1
    - Fixed bug #487982: can freeze gthumb during printing
    - Fixed a printing crash, g_free -> gtk_paper_size_free
    - Fixed bug #492111: Doesn't rotate pictures while importing
    - Fixed bug #492262: Rotate removes thumbnail
    - Fixed bug #492260: Crash on rotate on x86_64
    - Fixed bug #492169: Crash when moving directory to trash
    - Fixed bug #492370: monitor name conflict with libc on solaris10
    - Fixed exif tag read/write functions, so they can access 32-bit
      values correctly on 64-bit platforms
    - Fixed bug #476989: gthumb doesn't move images if destination
      directory is selected from folder drop down list
    - Fixed bug #495529: Search not working
    - Fixed bug #498995: gthumb gets it's locking wrong and crashes
    - When sorting by exif time, fall back to sorting by mtime if no
      exif time is present.
    - Fixed bug #438027: cancel isn't honoured in "reset exif orientation"
      progress dialog or rotation-tool dialog
    - Fixed bug #499795: silently fails to save bmp picture
    - Fixed bug #496140: Crop Window opens too large for dual-screens
    - Fixed bug #481729: Crash browsing thru images when one is empty.
    - Fixed bug #482751: gthumb crashes if it cannot find cursor.
    - Fixed bug #485721: Crash in fullscreen mode after deleting an image.
    - Fixed bug #471234: Fix build with gcc 2.x
    - Fixed bug #485998: '[' and ']' don't work in fullscreen anymore.
    - Fixed LP: #152246: gThumb does not allow to change
      picture's "Last modified date" to "Photo digitalization date
      (from EXIF data)"
  * Drop 21_dont_skip_file_type.dpatch and 22_paper_size_free.dpatch: Included
    upstream.
  * 90_autoconf.dpatch: Update for new version.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 29 May 2008 14:58:39 +0200

gthumb (3:2.10.6-0ubuntu4) hardy; urgency=low

  * debian/control.in,
    debian/patches/10_lpi.dpatch:
    - updated to the new launchpad integration version

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 10 Apr 2008 00:21:58 +0200

gthumb (3:2.10.6-0ubuntu3) hardy; urgency=low

  * 22_paper_size_free.dpatch crasher fix (LP: #173082)
  * debian/rules: use dh_icons instead of dh_iconcache (LP: #151696)

 -- Tormod Volden <debian.tormod@gmail.com>  Thu, 13 Dec 2007 10:24:52 +0100

gthumb (3:2.10.6-0ubuntu2) hardy; urgency=low

  * 21_dont_skip_file_type.dpatch (LP: #165174)
  * add Build-depends on libltdl3-dev (LP: #151696)

 -- Tormod Volden <debian.tormod@gmail.com>  Mon, 03 Dec 2007 13:55:27 +0100

gthumb (3:2.10.6-0ubuntu1) gutsy; urgency=low

  * New upstream release:
    - Added shift+x keybinding to always perform zoom to fit.
    - Added a shift-w keybinding to force a fit width action.
    - Faster browsing of remote locations.
    - Keep the ui responsive when loading and saving remote images and
      when creating video thumbnails.
    - Much faster loading of exif DataTime tags. This provides faster 
      folder loading in the sort-by-DateTime mode.
    - Fixed bug #464348. Rename tool breaks if template = "%f1%e" (LP #130643)
    - Fixed bug #450675. Should delete the thumbnails of deleted files
    - Fixed bug #453986. Check for invalid unicode in embedded comments. 
    - Fixed bug #454037. Invalid free when selecting Print in the menu.
    - Fixed bug #454489. Theme uses the wrong captions in the thumbnails.
    - The default import folder was not properly set to the correct XDG 
      "PICTURES" folder. Fixed.
    - Fixed bug #455911. Symlink/vfs problem (LP #109579).
    - Preload more thumbnails into memory in browser mode. Bug #457529.
    - Fixed bug #457685. Sort by Exif DateTime broken in list mode.
    - Fixed Ctrl+H (show/hide hidden files) function.
    - Add/fix a busy cursor when loading folders and preloading the
      selected image.
    - Fixed bug #439043. Preview area always shows last selected image.
    - Fixed bug #457936. Names with '#' character break rotation.
    - Fixed bug #446792. gThumb deletes pictures on failed import.
  * debian/patches/90_autoconf.dpatch
    - Updated with automagic tools
  * debian/rules
    - Commented .server{,.in} clean lines

 -- Aron Sisak <aron@ubuntu.hu>  Tue, 28 Aug 2007 11:58:10 +0200



=== debian/control ===
Source: gthumb
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Remco van de Meent <remco@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.1.54), intltool, libexif-dev (>= 0.6.13-1), flex, libtiff4-dev, libpng12-dev, gconf2, libgnomeui-dev, scrollkeeper, libgphoto2-2-dev (>= 2.3.0-0ubuntu3), dpatch, liblaunchpad-integration-dev (>= 0.1.17), libxext-dev, libxrender-dev, libxxf86vm-dev, libxtst-dev, gnome-doc-utils, libgtk2.0-dev (>= 2.10.0), libltdl3-dev

Package: gthumb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, scrollkeeper, shared-mime-info
Conflicts: gthumb2
Provides: gthumb2
Replaces: gthumb2
Description: an image viewer and browser
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME 2 desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.
 .
 Homepage: http://gthumb.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

# GNOME policy
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp: patch-stamp
	dh_testdir

	#in patches/05_libtool
	#libtoolize --copy --force
	#aclocal-1.9
	#autoconf

	CPPFLAGS=-I/usr/include/libpng12 ./configure \
	--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc \
	--datadir=\$${prefix}/share CFLAGS="$(CFLAGS)"

# To remove rpath warning with lintian
	perl -i -pe 's/^(hardcode_libdir_flag_spec\s*=\s*).+$$/$$1" -D__LIBTOOL_IS_A_FOOL__ "/' libtool


# Big hack to read locale file in the right plcae
	perl -i -pe 's,/usr/lib/locale,/usr/share/locale,' config.h

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	cd po; intltool-update -p

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

#	find -name *.server | xargs -r rm
#	find -name *.server.in | xargs -r rm

	debian/rules unpatch

	dh_clean po/.intltool-merge-cache intltool-extract intltool-merge \
	intltool-update doc/C/gthumb-C.omf.out components/catalog-view/GNOME_GThumb_CatalogView.xml \
	components/image-viewer/GNOME_GThumb_Viewer.xml po/de.gmo

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/gthumb
	cp debian/gthumb.xpm debian/gthumb/usr/share/pixmaps

	rm debian/gthumb/usr/lib/gthumb/modules/*.a
	rm debian/gthumb/usr/lib/gthumb/modules/*.la
	rm debian/gthumb/usr/lib/libgthumb.a debian/gthumb/usr/lib/libgthumb.la
	rm -rf debian/gthumb/usr/share/application-registry
	rm -rf debian/gthumb/usr/var
	rm -rf debian/gthumb/var/lib/scrollkeeper

	# Add translation domain to .desktop and .server files
	DOMAIN=$$(grep --max-count 1 '^GETTEXT_PACKAGE[[:space:]]*=' $(CURDIR)/po/Makefile | sed 's/^.*=[[:space:]]\([^[:space:]]\)/\1/'); \
	for d in $$(find debian/gthumb -type f -name "*.desktop" ); do \
		echo "Adding translation domain $$DOMAIN to $$d..."; \
		echo "X-Ubuntu-Gettext-Domain=$$DOMAIN" >> $$d; \
	done; \
	for d in $$(find debian/gthumb -type f -name "*.server" ); do \
		echo "Adding translation domain $$DOMAIN to $$d..."; \
		sed -i "s/<oaf_server\>/<oaf_server ubuntu-gettext-domain=\"$$DOMAIN\"/" $$d; \
	done; \

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README NEWS
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_scrollkeeper
	dh_desktop
	dh_icons
	dh_gconf
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch

DEB_BUILD_ARCH	?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DPATCH_ARCH	:= ${DEB_BUILD_ARCH}
PATCHLIST_ALL	 = $(shell test -f debian/patches/00list && grep -v ^\# debian/patches/00list)
PATCHLIST_ARCH	 = $(shell test -f debian/patches/00list.${DPATCH_ARCH} && grep -v ^\# debian/patches/00list.${DPATCH_ARCH})
PATCHLIST	?= $(shell echo ${PATCHLIST_ALL} ${PATCHLIST_ARCH})

UNPATCHLIST	 = $(shell echo ${PATCHLIST} | tr ' ' '\n' | tac)

# Expand them right now
PATCHLIST	:= ${PATCHLIST}
UNPATCHLIST	:= ${UNPATCHLIST}

patch: patch-stamp
patch-stamp:
	test -d debian/patched || install -d debian/patched
	@echo "Patches applied in the Debian version of ${PACKAGE}:" > $@T
	@for patch in ${PATCHLIST}; do \
		patchdir=$${patch%/*}; \
		test "x$$patchdir" = "x$$patch" || \
			install -d debian/patched/$$patchdir; \
		stamp=debian/patched/$${patch%%.dpatch}.dpatch; \
		test -e debian/patches/$$patch || ext=.dpatch; \
		patch=debian/patches/$$patch$$ext; \
		author=`sed -n "s,^#* *.*dpatch by *,,p" $$patch`; \
		test -x $$patch || chmod +x $$patch; \
		if test -f $$stamp; then \
			echo "$$patch already applied."; \
			echo -e "\n$$patch ($$author):" >> $@T; \
			sed -n 's/^#* *DP: */  /p' $$patch >> $@T; \
		else \
			echo -n "applying patch $$patch..."; \
			if $$patch -patch >$$stamp.new 2>&1; then \
				mv $$stamp.new $$stamp; \
				touch $$stamp; \
				echo -e "\n$$patch ($$author):" >> $@T; \
				sed -n 's/^#* *DP: */  /p' $$patch >> $@T; \
				echo " ok."; \
			else \
				echo " failed."; \
				exit 1; \
			fi; \
		fi; \
	done
	mv -f $@T $@

unpatch:
	@for patch in ${UNPATCHLIST}; do \
		stamp=debian/patched/$${patch%%.dpatch}.dpatch; \
		test -e debian/patches/$$patch || ext=.dpatch; \
		patch=debian/patches/$$patch$$ext; \
		test -x $$patch || chmod +x $$patch; \
		if test -f $$stamp; then \
			echo -n "reverting patch $$patch..."; \
			if $$patch -unpatch 2>&1 >/dev/null; then \
				rm -f $$stamp; \
				echo " ok."; \
			else \
				echo " failed."; \
				exit 1; \
			fi; \
		fi; \
	done
	rm -rf patch-stamp patch-stampT debian/patched

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/gthumb/2.6/gthumb-([\d+\.]+|\d+)(\.tar|\.tgz)(\.gz|\.bz2|) debian uupdate

## gthumb 2.10.8-0ubuntu1netbook0natick4

=== debian/changelog ===
gthumb (3:2.10.8-0ubuntu1netbook0natick4) natick; urgency=low

  * Redesign preferences and print UI to fit 1024 x 600
    screen resolution (LP: #379309)
    - 22_print_ui.dpatch
    - 23_preferences_ui.dpatch

 -- Bruno Dilly <bruno.dilly@canonical.com>  Wed, 10 Jun 2009 22:54:19 -0300

## gthumb 2.11.3

=== debian/changelog ===
gthumb (3:2.11.3-2build1) maverick; urgency=low

  * No-change rebuild against libbrasero-media1. (LP: #629922)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 03 Sep 2010 19:49:23 -0400

gthumb (3:2.11.3-2) unstable; urgency=low

  * debian/rules:
    - rename flickr.png to gthumb-flickr.png, and facebook.png
      to gthumb-facebook.png (Closes: #579161)
  * debian/patches/19-fix_extension_icon.patch added, make the
    Flickr extension point to gthumb-flickr, and the Facebook extension
    to gthumb-facebook.

 -- David Paleino <dapal@debian.org>  Wed, 28 Apr 2010 18:58:50 +0200

gthumb (3:2.11.3-1) unstable; urgency=low

  * New upstream version
  * debian/patches/* refreshed
  * debian/control:
    - added Build-Depends on libbrasero-media-dev
    - added libjpeg-dev alternative to libjpeg62-dev (preparing for
      libjpeg8 transition)
    - re-formatted multiline fields
  * debian/copyright: added new copyright stanzas, for
    ./extensions/jpeg_utils

 -- David Paleino <dapal@debian.org>  Sun, 25 Apr 2010 09:34:13 +0200

gthumb (3:2.11.2.1-2) unstable; urgency=low

  * debian/patches/:
    - 18-build_with_gtk2.19.patch added (Closes: #573424)
  * debian/rules:
    - disable clutter at configure time (Closes: #573700, #573723)
  * debian/control:
    - remove Build-Dependencies on clutter things

 -- David Paleino <dapal@debian.org>  Mon, 15 Mar 2010 07:43:28 +0100

gthumb (3:2.11.2.1-1) unstable; urgency=low

  * New upstream release
    - warning displayed when resizing an image, so that it doesn't
      get accidentally overwritten (Closes: #570033)
    - doesn't crash anymore on View > Slideshow (Closes: #569787)
    - slideshow transitions have been fixed already (Closes: #497579)
    - easier navigation between directories (Closes: #572500)
    - use exiv2 for metadata parsing (Closes: #470175)
    - support Sony ARW files (Closes: #470176)
  * Disabled libopenraw backend in favour of dcraw -- let's wait
    until it's more mature.
  * debian/control:
    - added new Build-Dependencies, libsoup-gnome2.4-dev and
      libgnome-keyring-dev
  * debian/patches/:
    - 03-fix_paths.patch and 06-add_keybinding_DoNotSave.patch
      refreshed to apply to the new code
  * debian/gthumb-dev.install:
    - updated to work with the new code
    - also install pkgconfig file
  * debian/gthumb.install updated

 -- David Paleino <dapal@debian.org>  Thu, 04 Mar 2010 18:34:52 +0100

gthumb (3:2.11.1-2) unstable; urgency=low

  * debian/gthumb.install: only install *.extension and *.so

 -- David Paleino <dapal@debian.org>  Wed, 10 Feb 2010 14:56:49 +0100

gthumb (3:2.11.1-1) unstable; urgency=low

  * New upstream version
  * debian/watch updated to correctly handle major releases
  * debian/control:
    - Build-Depends updated to current requirements
    - bump quilt dependency to >= 0.46-7~, to use dh --with quilt
    - add gthumb-dev and gthumb-dbg binary packages
    - bump Standards-Version to 3.8.4, no changes needed
  * debian/rules:
    - rewritten to use dh7 with overrides
    - pass --enable-debug, --enable-libopenraw to ./configure
    - reflect changes in the directory structure
  * debian/source/format: using 3.0 (quilt)
  * debian/patches/:
    - all patches refreshed to cleanly apply
    - series: some patches temporarily disabled -- need to check
      whether I can port them to the new code, whether they're still
      needed or I can totally drop them.
    - 02-preserve_gnome-doc-utils.make.patch renamed to
      02-preserve_upstream_files.patch, also try to preserve ChangeLog
    - 03-fix_paths.patch added, fixes wrong installation directories
    - 04-fix_source_typo.patch added, fix typo in sourcecode signaled
      by lintian
  * debian/gthumb.install updated
  * debian/gthumb.1 added, installed into gthumb package

 -- David Paleino <dapal@debian.org>  Wed, 10 Feb 2010 14:32:51 +0100

gthumb (3:2.10.11-3) unstable; urgency=low

  * debian/patches/:
    - 04-fix_gvfs_umount.patch added from Ubuntu, fix import to work
      with gvfs (Closes: #526452) (LP: #351122)
    - 10-fix_POTFILES.skip.patch updated
    - 15-suggest_new_name_on_overwrite_dialog.patch updated, fixes
      SIGSEGV in overwrite dialog, thanks to Vincenzo Tibullo
      (Closes: #555131)
    - 17-dont_follow_symlinks_on_dups_search.patch added (Closes: #533641)
  * debian/control:
    - added gvfs-bin to Recommends, related to #526452
    - fixed automake1.9 Build-Dependency to automake
    - added libx11-dev to Build-Depends, related to #554749
    - updated my e-mail address
    - DMUA removed
    - Standards-Version bumped to 3.8.3, no changes needed
  * debian/rules:
    - better use of CFLAGS
    - add -lX11 to CFLAGS (Closes: #554749)

 -- David Paleino <dapal@debian.org>  Sun, 08 Nov 2009 21:47:07 +0100

gthumb (3:2.10.11-2) unstable; urgency=low

  * debian/patches:
    - 10-fix_POTFILES.skip.patch refreshed
    - 13-fix_Close_mismatch.patch added (Closes: #524412)
    - 14-add_rotate_button_viewer.patch added (Closes: #326699)
    - 15-suggest_new_name_on_overwrite_dialog.patch added, thanks
      to Jack T Mudge III (Closes: #530996)
    - 16-fix_crop_dialog_usability.patch added, taken from git's
      d4a737f458f2cae9d16cbdbb62bd120b94a5605c (Closes: #441687)

 -- David Paleino <d.paleino@gmail.com>  Fri, 12 Jun 2009 19:56:08 +0200

gthumb (3:2.10.11-1) unstable; urgency=low

  * New Upstream Version:
    - fix crasher bug in exif tag reading, caused by malformed tiff headers.
      (LP: #316017)
    - give the photo-import desktop file different name parameters, so that
      users can distinguish it from the normal desktop file. (LP: #318694)
    - fixes GtkSpinButton deprecated non-zero page size adjustment setting,
      patch from Ubuntu merged upstream (LP: #319349)
  * Forgot bugnumber to close in 3:2.10.10-1, added (mostly for 
    changelog reasons, closing it manually)
  * debian/control:
    - scrollkeeper moved from gthumb's Recommends to gthumb-data's 


=== debian/control ===
Source: gthumb
Section: gnome
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~)
 , intltool
 , libexiv2-dev (>= 0.18)
 , flex
 , libtiff4-dev
 , libpng12-dev
 , libjpeg62-dev | libjpeg-dev
 , gconf2
 , scrollkeeper
 , automake
 , autoconf
 , quilt (>= 0.46-7~)
 , libtool
 , gnome-doc-utils
 , gnome-common
 , libgtk2.0-dev (>= 2.16.0)
 , libgconf2-dev (>= 2.6.0)
 , libxml2-dev (>= 2.4.0)
 , libglib2.0-dev (>= 2.16.0)
 , libcairo2-dev
 , libltdl3-dev
 , libiptcdata0-dev
 , libglade2-dev (>= 2.4.0)
 , libgstreamer0.10-dev (>= 0.10)
 , libgstreamer-plugins-base0.10-dev
 , libunique-dev (>= 1.1.2)
 , libsoup-gnome2.4-dev (>= 2.26)
 , libgnome-keyring-dev (>= 2.28)
 , libbrasero-media-dev (>= 2.28)
Standards-Version: 3.8.4
Homepage: http://gthumb.sourceforge.net
Vcs-Git: git://git.debian.org/git/collab-maint/gthumb.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gthumb.git

Package: gthumb
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , gthumb-data (= ${source:Version})
Recommends: gvfs-bin
Conflicts: gthumb2
Provides: gthumb2
Replaces: gthumb2
Description: an image viewer and browser
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME 2 desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.

Package: gthumb-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 ${misc:Depends}
 , gthumb (= ${binary:Version})
Description: an image viewer and browser - debugging symbols
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME 2 desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.
 .
 This package contains the debugging symbols for gThumb.

Package: gthumb-data
Architecture: all
Conflicts: gthumb (<< 3:2.10.8-1)
Replaces: gthumb (<< 3:2.10.8-1)
Recommends: yelp
Depends:
 ${misc:Depends}
 , scrollkeeper
Description: an image viewer and browser - arch-independent files
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME 2 desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.
 .
 This package contains the architecture-independent files needed by gthumb.

Package: gthumb-dev
Architecture: any
Section: devel
Depends:
 ${misc:Depends}
 , gthumb (= ${binary:Version})
Description: an image viewer and browser - development files
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME 2 desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.
 .
 This package contains the files needed to develop third-party extensions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#CFLAGS = -Wall -g -lpng -lX11

#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
#	export CFLAGS += -O0
#else
#	export CFLAGS += -O2
#endif
#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
#	INSTALL_PROGRAM += -s
#endif

#export CPPFLAGS=-I/usr/include/libpng12
#export LDFLAGS=-Wl,-rpath,/usr/lib/gthumb-2.0 -Wl,--as-needed

override_dh_auto_configure:
	autoreconf -f -i
	dh_auto_configure -- --with-gconf-schema-file-dir=/usr/share/gconf/schemas \
		--disable-clutter \
		--enable-debug

override_dh_auto_install:
	dh_auto_install
	[ ! -d $(CURDIR)/debian/tmp/usr/share/icons/ ] || \
		mv $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/actions/flickr.png \
		   $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/actions/gthumb-flickr.png && \
		mv $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/actions/facebook.png \
		   $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/actions/gthumb-facebook.png

#	find debian/ \( -name "*.la" -o -name "*.a" \) -exec rm -vrf {} \;

#	# These go into gthumb...
#	-rm -rf $(CURDIR)/debian/gthumb-data/usr/share/applications

#	for file in $(wildcard $(CURDIR)/debian/gthumb-data/usr/share/gthumb/albumthemes/*/index.gthtml); do \
#		sed -e "s/@CHARSET@/`grep "<?xml" \$${file} | cut -d'"' -f4 | tr [a-z] [A-Z]`/" \
#			$(CURDIR)/debian/htaccess.tmpl > `dirname \$${file}`/htaccess; \
#		echo "Please rename htaccess to .htaccess when uploading your Web Album." >> `dirname \$${file}`/README; \
#	done

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/gthumb-2.0:/usr/lib/gthumb-2.0/extensions

override_dh_strip:
	dh_strip --keep-debug -X*.la -X*.a --dbg-package=gthumb-dbg

override_dh_auto_clean:
	dh_auto_clean

	find . -name "Makefile.in" -delete
	rm -rf aclocal.m4 config.guess config.sub configure \
		m4/libtool.m4 m4/ltversion.m4 autom4te.cache/ \
		ltmain.sh

%:
	dh --with quilt $@

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/gthumb/(\d+.*)/gthumb-(\d+.*)\.tar\.gz

## gthumb 2.11.5

=== debian/changelog ===
gthumb (3:2.11.5-4) unstable; urgency=low

  * debian/patches/14-safe_exif_read.patch: safely read Exif
    orientation, since it seems like some cameras don't store it.
    (Closes: #601137)

 -- David Paleino <dapal@debian.org>  Sun, 28 Nov 2010 21:17:54 +0100

gthumb (3:2.11.5-3) unstable; urgency=low

  * debian/patches/20-backport_comments_loss_fix.patch backported from
    upstream git: support old-style (2.10.x) comments stored in Exif
    tags (Closes: #593813)

 -- David Paleino <dapal@debian.org>  Sat, 21 Aug 2010 11:57:27 +0200

gthumb (3:2.11.5-2) unstable; urgency=low

  * debian/patches/19-backport_data_migration.patch backported from
    upstream git: convert the old catalogs to the new format and
    location (Closes: #584755)

 -- David Paleino <dapal@debian.org>  Thu, 22 Jul 2010 09:53:49 +0200

gthumb (3:2.11.5-1) unstable; urgency=low

  * New upstream version
    - Facebook plugin fixed (Closes: #588154)
  * debian/patches/:
    - 04-fix_source_typo.patch, 07-fix_documentation_xml.patch
      refreshed

 -- David Paleino <dapal@debian.org>  Tue, 20 Jul 2010 07:45:36 +0200

gthumb (3:2.11.4-3) unstable; urgency=low

  * Clutter support disabled once again, seems like the code used
    to safely run gThumb still doesn't work. (Closes: #588713)

 -- David Paleino <dapal@debian.org>  Sun, 11 Jul 2010 20:10:19 +0200

gthumb (3:2.11.4-2) unstable; urgency=low

  * debian/patches/03-fix_paths.patch disabled, so that icons are
    really installed under /usr/share/gthumb/icons/. (Closes: #588227)

 -- David Paleino <dapal@debian.org>  Tue, 06 Jul 2010 22:24:33 +0200

gthumb (3:2.11.4-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - added gstreamer0.10-gnomevfs to Recommends (Closes: #583479)
    - minimum Build-Depends on GTK bumped to 2.18.0
    - added Build-Depends on bison
    - re-added Build-Depends on clutter things
    - drop Build-Depends on quilt, since we're using 3.0 (quilt) format
    - added Build-Depends on dh-autoreconf
    - Standards-Version bumped to 3.9.0
      + §7.6.1, use Breaks+Replaces instead of Conflicts+Replaces for
                gthumb-data
  * debian/rules:
    - re-enable Clutter, since gThumb can now run even if Clutter
      initialization fails
    - don't call quilt anymore
    - removed useless commented lines
    - don't rename icons anymore, since 19-fix_extension_icon.patch has
      been disabled
    - autoreconf is now handled by dh_autoreconf (--with autoreconf)
  * debian/patches/:
    - *.patch refreshed, so that they cleanly apply
    - 07-fix_documentation_xml.patch added, fixes XML so that it
      validates during dh_auto_test
    - 19-fix_extension_icon.patch disabled, icons are now installed
      under /usr/share/gthumb/, so there's no risk of conflicting
      with other packages
  * debian/gthumb-data.install: removed usr/share/omf/, since that's not
    the thing used for docs anymore (instead, Mallard is used)

 -- David Paleino <dapal@debian.org>  Mon, 05 Jul 2010 19:30:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: David Paleino <dapal@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~)
+ , dh-autoreconf
  , intltool
  , libexiv2-dev (>= 0.18)
  , flex
+ , bison
  , libtiff4-dev
  , libpng12-dev
  , libjpeg62-dev | libjpeg-dev
@@ -14,11 +16,10 @@
  , scrollkeeper
  , automake
  , autoconf
- , quilt (>= 0.46-7~)
  , libtool
  , gnome-doc-utils
  , gnome-common
- , libgtk2.0-dev (>= 2.16.0)
+ , libgtk2.0-dev (>= 2.18.0)
  , libgconf2-dev (>= 2.6.0)
  , libxml2-dev (>= 2.4.0)
  , libglib2.0-dev (>= 2.16.0)
@@ -32,7 +33,7 @@
  , libsoup-gnome2.4-dev (>= 2.26)
  , libgnome-keyring-dev (>= 2.28)
  , libbrasero-media-dev (>= 2.28)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://gthumb.sourceforge.net
 Vcs-Git: git://git.debian.org/git/collab-maint/gthumb.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gthumb.git
@@ -44,6 +45,7 @@
  , ${misc:Depends}
  , gthumb-data (= ${source:Version})
 Recommends: gvfs-bin
+ , gstreamer0.10-gnomevfs
 Conflicts: gthumb2
 Provides: gthumb2
 Replaces: gthumb2
@@ -76,7 +78,7 @@
 
 Package: gthumb-data
 Architecture: all
-Conflicts: gthumb (<< 3:2.10.8-1)
+Breaks: gthumb (<< 3:2.10.8-1)
 Replaces: gthumb (<< 3:2.10.8-1)
 Recommends: yelp
 Depends:

## gthumb 2.12.1

=== debian/changelog ===
gthumb (3:2.12.1-1) experimental; urgency=low

  * New upstream version
  * Patches refreshed
  * Add runtime dependency (as Recommends) on bison and flex,
    needed by the webalbums plugin. They're Recommends because they
    don't harm the core functionality of the program.
  * Applied some patches from upstream's git:
    - updated ja and eu translations
    - fixed reading of ExifDatum's (improves previous
      14-safe_exif_read.patch)
    - correctly activate default extensions on first run

 -- David Paleino <dapal@debian.org>  Thu, 09 Dec 2010 17:16:31 +0100

gthumb (3:2.12.0-2) experimental; urgency=low

  * debian/patches/14-safe_exif_read.patch: safely read Exif
    orientation, since it seems like some cameras don't store it.
    (Closes: #601137)

 -- David Paleino <dapal@debian.org>  Sat, 23 Oct 2010 22:07:37 +0200

gthumb (3:2.12.0-1) experimental; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Tue, 28 Sep 2010 09:39:51 +0200

gthumb (3:2.11.92-1) experimental; urgency=low

  * New upstream version
  * debian/patches/:
    - 04-fix_source_typo.patch, 05-fix_locales.patch,
      07-fix_documentation_xml.patch refreshed
    - 06-add_keybinding_DoNotSave.patch disabled, seems to be
      applied upstream

 -- David Paleino <dapal@debian.org>  Thu, 16 Sep 2010 09:49:13 +0200

gthumb (3:2.11.90-1) experimental; urgency=low

  * New upstream release
  * debian/patches/:
    - 18-build_with_gtk2.19.patch removed, merged upstream
    - 19-backport_data_migration.patch removed, present in the new
      version
    - 04-fix_source_typo.patch, 07-fix_documentation_xml.patch,
      13-fix_Close_mismatch.patch refreshed to cleanly apply
  * debian/gthumb-dev.install: don't install *.la files anymore
  * debian/control:
    - Standards-Version bumped to 3.9.1
      + don't install *.la files anymore in gthumb-dev

 -- David Paleino <dapal@debian.org>  Fri, 20 Aug 2010 18:11:06 +0200

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
  , libsoup-gnome2.4-dev (>= 2.26)
  , libgnome-keyring-dev (>= 2.28)
  , libbrasero-media-dev (>= 2.28)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://gthumb.sourceforge.net
 Vcs-Git: git://git.debian.org/git/collab-maint/gthumb.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gthumb.git
@@ -46,6 +46,8 @@
  , gthumb-data (= ${source:Version})
 Recommends: gvfs-bin
  , gstreamer0.10-gnomevfs
+ , bison
+ , flex
 Conflicts: gthumb2
 Provides: gthumb2
 Replaces: gthumb2

## gthumb 2.12.2

=== debian/changelog ===
gthumb (3:2.12.2-1) unstable; urgency=low

  * New upstream version
  * Patches refreshed
  * Old patches removed; they're not useful anymore, and only clutter
    debian/patches/.

 -- David Paleino <dapal@debian.org>  Mon, 07 Feb 2011 16:39:07 +0100

## gthumb 2.13.1

=== debian/changelog ===
gthumb (3:2.13.1-1ubuntu1) oneiric; urgency=low

  * libbrasero-media1 is needed but no longer available (LP: #793438)
  * debian/control:
   - Removed libbrasero-media-dev build-depend. The new libbrasero-media is linked
     against GTK3, so gthumb can't use it until it has a full GTK3 port
   - Standards-Version bumped to 3.9.2
  * debian/rules:
   - Disabled libbrasero support and useless debug messages

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 06 Jun 2011 12:01:56 +0200

gthumb (3:2.13.1-1) unstable; urgency=low

  * New upstream version
  * Patches refreshed
  * 01-PIC.patch removed, it's now put in configure.ac by upstream
  * Fix FTBFS, missing linkage to libICE (01-fix_missing_linkage.patch)
  * Added Build-Depends on libsm-dev and libice-dev

 -- David Paleino <dapal@debian.org>  Thu, 10 Mar 2011 20:23:40 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,8 @@
  , libtiff4-dev
  , libpng12-dev
  , libjpeg62-dev | libjpeg-dev
+ , libsm-dev
+ , libice-dev
  , gconf2
  , scrollkeeper
  , automake
@@ -32,8 +34,7 @@
  , libunique-dev (>= 1.1.2)
  , libsoup-gnome2.4-dev (>= 2.26)
  , libgnome-keyring-dev (>= 2.28)
- , libbrasero-media-dev (>= 2.28)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://gthumb.sourceforge.net
 Vcs-Git: git://git.debian.org/git/collab-maint/gthumb.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gthumb.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- --with-gconf-schema-file-dir=/usr/share/gconf/schemas \
		--disable-clutter \
		--disable-libbrasero

#override_dh_auto_install:
#	dh_auto_install
#	[ ! -d $(CURDIR)/debian/tmp/usr/share/icons/ ] || \
#		mv $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/actions/flickr.png \
#		   $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/actions/gthumb-flickr.png && \
#		mv $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/actions/facebook.png \
#		   $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/actions/gthumb-facebook.png

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/gthumb-2.0:/usr/lib/gthumb-2.0/extensions

override_dh_strip:
	dh_strip --keep-debug -X*.la -X*.a --dbg-package=gthumb-dbg

%:
	dh --with autoreconf $@

## gthumb 2.14.1

=== debian/changelog ===
gthumb (3:2.14.1-1) unstable; urgency=low

  * New upstream version (Closes: #652692)
  * Patches refreshed
  * Bump build-dependencies requirements
  * Fix FTBFS, added missing #include
  * debian/watch fixed to point to new location (.xz tarballs)

 -- David Paleino <dapal@debian.org>  Thu, 22 Dec 2011 22:40:29 +0100

gthumb (3:2.13.1-2) unstable; urgency=low

  * Build-Depend on libjpeg-dev, not libjpeg62-dev | libjpeg-dev
    (Closes: #639055, #642834)
  * Temporarily disable brasero support (Closes: #645280)
  * Standards-Version bump to 3.9.2, no changes needed

 -- David Paleino <dapal@debian.org>  Fri, 14 Oct 2011 09:56:04 +0200

## gthumb 2.14.2

=== debian/changelog ===
gthumb (3:2.14.2-1) unstable; urgency=low

  * New upstream version
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Wed, 22 Feb 2012 21:44:01 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  , bison
  , libtiff4-dev
  , libpng12-dev
- , libjpeg62-dev | libjpeg-dev
+ , libjpeg-dev
  , libsm-dev
  , libice-dev
  , gconf2
@@ -21,10 +21,10 @@
  , libtool
  , gnome-doc-utils
  , gnome-common
- , libgtk2.0-dev (>= 2.18.0)
+ , libgtk2.0-dev (>= 2.24.0)
  , libgconf2-dev (>= 2.6.0)
  , libxml2-dev (>= 2.4.0)
- , libglib2.0-dev (>= 2.16.0)
+ , libglib2.0-dev (>= 2.28.0)
  , libcairo2-dev
  , libltdl3-dev
  , libiptcdata0-dev
@@ -34,6 +34,7 @@
  , libunique-dev (>= 1.1.2)
  , libsoup-gnome2.4-dev (>= 2.26)
  , libgnome-keyring-dev (>= 2.28)
+# , libbrasero-media-dev (>= 2.28)
 Standards-Version: 3.9.2
 Homepage: http://gthumb.sourceforge.net
 Vcs-Git: git://git.debian.org/git/collab-maint/gthumb.git
@@ -52,7 +53,7 @@
 Conflicts: gthumb2
 Provides: gthumb2
 Replaces: gthumb2
-Description: an image viewer and browser
+Description: image viewer and browser
  gThumb is an advanced image viewer and browser. It has many useful
  features, such as filesystem browsing, slide show, image catalogs, web
  album creation, camera import, image CD burning, batch file operations and
@@ -68,7 +69,7 @@
 Depends:
  ${misc:Depends}
  , gthumb (= ${binary:Version})
-Description: an image viewer and browser - debugging symbols
+Description: image viewer and browser - debugging symbols
  gThumb is an advanced image viewer and browser. It has many useful
  features, such as filesystem browsing, slide show, image catalogs, web
  album creation, camera import, image CD burning, batch file operations and
@@ -87,7 +88,7 @@
 Depends:
  ${misc:Depends}
  , scrollkeeper
-Description: an image viewer and browser - arch-independent files
+Description: image viewer and browser - arch-independent files
  gThumb is an advanced image viewer and browser. It has many useful
  features, such as filesystem browsing, slide show, image catalogs, web
  album creation, camera import, image CD burning, batch file operations and
@@ -104,7 +105,7 @@
 Depends:
  ${misc:Depends}
  , gthumb (= ${binary:Version})
-Description: an image viewer and browser - development files
+Description: image viewer and browser - development files
  gThumb is an advanced image viewer and browser. It has many useful
  features, such as filesystem browsing, slide show, image catalogs, web
  album creation, camera import, image CD burning, batch file operations and

## gthumb 2.14.3

=== debian/changelog ===
gthumb (3:2.14.3-0ubuntu1) precise; urgency=low

  * New upstream version from the stable branch.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Wed, 11 Apr 2012 06:01:19 +0300

gthumb (3:2.14.2-1ubuntu1) precise; urgency=low

  * debian/patches/21-gthumb_missing_help_page.patch: fix missing help page in
    preferences (LP: #928593)

 -- Vibhav Pant <vibhavp@gmail.com>  Sat, 24 Mar 2012 20:32:05 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gthumb
 Section: gnome
 Priority: optional
-Maintainer: David Paleino <dapal@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~)
  , dh-autoreconf

## gthumb 3.0.0

=== debian/changelog ===
gthumb (3:3.0.0-1build1) quantal; urgency=low

  * No changes rebuild for libexiv2-12 transition

 -- Angel Abad <angelabad@ubuntu.com>  Sat, 19 May 2012 12:23:41 +0200

gthumb (3:3.0.0-1) experimental; urgency=low

  * New upstream version
  * Patches refreshed to match new upstream code

 -- David Paleino <dapal@debian.org>  Thu, 26 Apr 2012 22:43:35 +0200

gthumb (3:2.90.2-1) experimental; urgency=low

  * New upstream version
  * Bump required versions of Build-Dependencies
  * Patches refreshed to match new upstream code
  * Standards-Version bump to 3.9.3, no changes needed
  * Build-Depend on libpng12-dev | libpng-dev (Closes: #662366)
  * Build-Depend on libexiv2 >= 0.21
  * Update debian/copyright

 -- David Paleino <dapal@debian.org>  Sun, 08 Apr 2012 01:13:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,26 @@
 Source: gthumb
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
+Maintainer: David Paleino <dapal@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~)
  , dh-autoreconf
  , intltool
- , libexiv2-dev (>= 0.18)
+ , libexiv2-dev (>= 0.21)
  , flex
  , bison
  , libtiff4-dev
- , libpng12-dev
+ , libpng12-dev | libpng-dev
  , libjpeg-dev
  , libsm-dev
  , libice-dev
- , gconf2
  , scrollkeeper
  , automake
  , autoconf
  , libtool
  , gnome-doc-utils
  , gnome-common
- , libgtk2.0-dev (>= 2.24.0)
- , libgconf2-dev (>= 2.6.0)
+ , libgtk-3-dev (>= 3.2.0)
  , libxml2-dev (>= 2.4.0)
  , libglib2.0-dev (>= 2.28.0)
  , libcairo2-dev
@@ -32,11 +29,13 @@
  , libglade2-dev (>= 2.4.0)
  , libgstreamer0.10-dev (>= 0.10)
  , libgstreamer-plugins-base0.10-dev
- , libunique-dev (>= 1.1.2)
- , libsoup-gnome2.4-dev (>= 2.26)
- , libgnome-keyring-dev (>= 2.28)
-# , libbrasero-media-dev (>= 2.28)
-Standards-Version: 3.9.2
+ , libsoup-gnome2.4-dev (>= 2.36)
+ , libgnome-keyring-dev (>= 3.2.0)
+# , libbrasero-media-dev (>= 3.2.0)
+ , libchamplain-gtk-0.12-dev (>= 0.12.0)
+ , librsvg2-dev (>= 2.34.0)
+ , zlib1g-dev
+Standards-Version: 3.9.3
 Homepage: http://gthumb.sourceforge.net
 Vcs-Git: git://git.debian.org/git/collab-maint/gthumb.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gthumb.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --with-gconf-schema-file-dir=/usr/share/gconf/schemas \
 		--disable-clutter \
-		--disable-libbrasero
+		--disable-brasero \
+		--enable-debug
 
 #override_dh_auto_install:
 #	dh_auto_install

## gthumb 3.0.1

=== debian/changelog ===
gthumb (3:3.0.1-2) unstable; urgency=low

  * Drop unused lintian override
  * Add dependency on gsettings-desktop-schemas
  * Add build-dependency on hardening-wrapper

 -- David Paleino <dapal@debian.org>  Mon, 18 Jun 2012 16:31:23 +0200

gthumb (3:3.0.1-1) unstable; urgency=low

  * New upstream version
  * Install upstream-provided manpage instead of Debian one
  * Updated debian/copyright
  * Add B-D on gsettings-desktop-schemas-dev

 -- David Paleino <dapal@debian.org>  Sun, 17 Jun 2012 21:31:00 +0200

gthumb (3:3.0.0-2) unstable; urgency=low

  * Uploading to unstable
  * Fixed debian/copyright

 -- David Paleino <dapal@debian.org>  Thu, 10 May 2012 12:54:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends:
  debhelper (>= 7.0.50~)
  , dh-autoreconf
+ , hardening-wrapper
  , intltool
  , libexiv2-dev (>= 0.21)
  , flex
@@ -20,6 +21,7 @@
  , libtool
  , gnome-doc-utils
  , gnome-common
+ , gsettings-desktop-schemas-dev
  , libgtk-3-dev (>= 3.2.0)
  , libxml2-dev (>= 2.4.0)
  , libglib2.0-dev (>= 2.28.0)
@@ -46,6 +48,7 @@
  ${shlibs:Depends}
  , ${misc:Depends}
  , gthumb-data (= ${source:Version})
+ , gsettings-desktop-schemas
 Recommends: gvfs-bin
  , gstreamer0.10-gnomevfs
  , bison

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_HARDENING=1
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-gconf-schema-file-dir=/usr/share/gconf/schemas \

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/gthumb/(\d+.*)/gthumb-(\d+.*)\.tar\.xz

## gthumb 3.0.2

=== debian/changelog ===
gthumb (3:3.0.2-0ubuntu3) raring; urgency=low

  * Drop build dependency on libiptcdata0-dev, exiv2 is used now
    - update debian/control
  * Mark Debian Vcs-* as XS-Debian-Vcs-*
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 01 Jan 2013 02:38:42 -0600

gthumb (3:3.0.2-0ubuntu2) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Sep 2012 00:11:20 +0100

gthumb (3:3.0.2-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 03 Sep 2012 08:57:45 +1200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gthumb
 Section: gnome
 Priority: optional
-Maintainer: David Paleino <dapal@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~)
  , dh-autoreconf
@@ -10,7 +11,7 @@
  , libexiv2-dev (>= 0.21)
  , flex
  , bison
- , libtiff4-dev
+ , libtiff-dev
  , libpng12-dev | libpng-dev
  , libjpeg-dev
  , libsm-dev
@@ -27,7 +28,6 @@
  , libglib2.0-dev (>= 2.28.0)
  , libcairo2-dev
  , libltdl3-dev
- , libiptcdata0-dev
  , libglade2-dev (>= 2.4.0)
  , libgstreamer0.10-dev (>= 0.10)
  , libgstreamer-plugins-base0.10-dev
@@ -39,8 +39,8 @@
  , zlib1g-dev
 Standards-Version: 3.9.3
 Homepage: http://gthumb.sourceforge.net
-Vcs-Git: git://git.debian.org/git/collab-maint/gthumb.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gthumb.git
+XS-Debian-Vcs-Git: git://git.debian.org/git/collab-maint/gthumb.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=collab-maint/gthumb.git
 
 Package: gthumb
 Architecture: any
